> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 署名者へのリクエストの送信

> Box Signのメールをカスタマイズしたり、独自の通知を送信したり、署名クライアントを埋め込んだりすることで、署名者がアプリ内でリクエストを完了できるように設定できます。

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

[署名リクエストを作成](/guides/box-sign/create-sign-request)した後は、各署名者にリクエストを届けるための手段が必要になります。以下の方法を使用できます。

* Boxから署名者にメールを送信する。必要に応じて件名や本文をカスタマイズする
* Boxからのメール送信を無効にして、自分で署名用リンクを送信する
* ウェブサイトに署名クライアントを埋め込む

これらはリクエストの作成時に設定します。[リクエストをキャンセルする](/guides/box-sign/cancel-sign-request)際に変更することはできません。

## Boxのメールのカスタマイズ

デフォルトでは、Box Signは各署名者に対して汎用的な件名と本文を使用したメールを`box.com`のアドレスから送信します。この内容を変更するには、リクエストの作成時に`email_subject`と`email_message`を設定します。どちらも文字列を受け付けます。`email_message`では、`a`、`abbr`、`acronym`、`b`、`blockquote`、`code`、`em`、`i`、`ul`、`li`、`ol`、`strong`などのHTMLタグも使用できます。カスタムスタイルは使用できません。HTMLに対するテキストの比率が大きすぎると、メールがスパムフィルタに入ったり、一部が省略されたりする可能性があります。

テンプレートからリクエストを作成する場合、テンプレート側であらかじめ件名と本文が定義されていることがあります。

まだ署名していない署名者に対して3日後、8日後、13日後、18日後にメールを送信するには、`are_reminders_enabled`を`true`に設定します。すぐに再送信する方法については、[Box Signリクエストの再送信](/guides/box-sign/resend-sign-request)を参照してください。

```sh theme={null}
curl -i -X POST "https://api.box.com/2.0/sign_requests" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "email_subject": "All we need is your signature to get started",
       "email_message": "Please review and sign the attached agreement.",
       "parent_folder": {
         "type": "folder",
         "id": "0987654321"
       },
       "source_files": [
         {
           "type": "file",
           "id": "123456789"
         }
       ],
       "signers": [
         {
           "email": "signer@example.com",
           "role": "signer"
         }
       ]
     }'
```

## 独自の通知の送信

独自の通知を送信するには、リクエストの作成時に署名者に対して次の2つの両方を設定します。

1. `suppress_notifications`～`true`
2. `embed_url_external_user_id`に、その署名者用に選択したIDを設定する

これにより、Box Signはその署名者に対するデフォルトの署名用メールを送信しなくなります。レスポンスには`embed_url`が含まれ、このURLを独自のメール、プッシュ通知、テキストメッセージで使用できます。

独自のドメインから通知を送信したり、すでに運用しているチャンネルを使用したりできます。署名ログには、Box通知を抑制したことと、`embed_url_external_user_id`で渡した署名者IDが記録されます。

<Note>
  Boxのメールを抑制する場合、組織は、必要な通知を適切な内容で適切なタイミングで署名者へ送信し、該当する場合は送信方法に対して同意を得ることを含め、適用される法律を遵守する責任を負うことになります。
</Note>

```sh theme={null}
curl -i -X POST "https://api.box.com/2.0/sign_requests" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "parent_folder": {
         "type": "folder",
         "id": "0987654321"
       },
       "source_files": [
         {
           "type": "file",
           "id": "123456789"
         }
       ],
       "signers": [
         {
           "role": "signer",
           "email": "signer@example.com",
           "suppress_notifications": true,
           "embed_url_external_user_id": "1234"
         }
       ]
     }'
```

簡略化したレスポンスには、その署名者向けの`embed_url`と`iframeable_embed_url`の両方が含まれています。

```json theme={null}
{
  "id": "22a990ce-4e24-463b-b2f4-124820fe161a",
  "signers": [
    {
      "email": "signer@example.com",
      "role": "signer",
      "embed_url_external_user_id": "1234",
      "embed_url": "https://app.box.com/sign/document/22a990ce-4e24-463b-b2f4-124820fe161a/9331fe9ac85650d61645d4b0fd30fe3e0ebee7921720ab6ecca587654d3cd875/",
      "iframeable_embed_url": "https://app.box.com/embed/sign/document/22a990ce-4e24-463b-b2f4-124820fe161a/9331fe9ac85650d61645d4b0fd30fe3e0ebee7921720ab6ecca587654d3cd875/"
    }
  ]
}
```

独自の通知には`embed_url`を使用します。`iframeable_embed_url`は、この後で説明するように、クライアントを埋め込むために使用します。

## 署名クライアントの埋め込み

[Box Embed](/guides/embed/box-embed)を使用すると、自分のウェブサイト内でリクエストを完了できるようにして、署名者がBox Signに移動して戻ってくる手間を減らすことができます。

リクエストの作成時に各署名者の`embed_url_external_user_id`を渡します。レスポンスに、その署名者の一意の`iframeable_embed_url`が含まれます。

```text theme={null}
https://app.box.com/embed/sign/document/f14d7098-a331-494b-808b-79bc7f3992a3/f14d7098-a331-494b-808b-79bc7f3992a4
```

そのURLを`iframe`に入力します。

```html theme={null}
<iframe
  src="https://app.box.com/embed/sign/document/f14d7098-a331-494b-808b-79bc7f3992a3/f14d7098-a331-494b-808b-79bc7f3992a4"
  width="{pixels}"
  height="{pixels}"
  frameborder="0"
  allowfullscreen
  webkitallowfullscreen
  msallowfullscreen
></iframe>
```

リクエスト送信者のデバイスを使用して対面での署名を行う場合は、さらに`is_in_person`を`true`に設定します。詳細については、[対面での署名](/guides/box-sign/in-person-signing)を参照してください。

Box Embedの詳細については、[プログラムによるBox要素の埋め込み](/guides/embed/box-embed#programmatically)を参照してください。

<RelatedLinks
  title="関連するAPI"
  items={[
{ label: translate("Create Box Sign request"), href: "/reference/post-sign-requests", badge: "POST" }
]}
/>

<RelatedLinks
  title="関連するガイド"
  items={[
{ label: translate("Create Box Sign request"), href: "/guides/box-sign/create-sign-request", badge: "GUIDE" },
{ label: translate("In-person signing"), href: "/guides/box-sign/in-person-signing", badge: "GUIDE" },
{ label: translate("Resend a Box Sign request"), href: "/guides/box-sign/resend-sign-request", badge: "GUIDE" }
]}
/>
